diff --git a/buglist b/buglist
index 47f9b97..d6b065b 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7249: 
+bug 7250: 
 todo 336:
 wish 1011:
 meh 5:
@@ -12,6 +12,85 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7249: radicalSolve(z^7=1, z)
+
+Obviously, all the roots of the equation z^7 = 1 can be expressed in
+radicals, and Mathematica can easily produce the explicit expressions
+in terms of radicals.
+
+Solve[z^7 == 1, z]
+
+{{z -> 1}, {z -> -(-1)^(1/7)}, {z -> (-1)^(2/7)}, {z -> -(-1)^(3/7)},
+{{z -> {z -> (-1)^(4/7)}, {z -> -(-1)^(5/7)}, {z -> (-1)^(6/7)}}
+
+To save the space, below the only example is given.
+
+FunctionExpand[ComplexExpand[-(-1)^(1/7)]]
+
+(1/2)*((1/3)*((1/2)*(-1 + I*Sqrt[7]) + ((-1 + I*Sqrt[3])*((1/2)*(-1 +
+I*Sqrt[7]) + (1/2)*(-1 - I*Sqrt[7])*((1/2)*(-1 + I*Sqrt[3]) +
+(1/4)*(-1 + I*Sqrt[3])^2)))/(2*(6 + (3/4)*(-1 + I*Sqrt[3])*(-1 +
+I*Sqrt[7]) + (1/2)*(-1 - I*Sqrt[7])*(1 + (3/4)*(-1 +
+I*Sqrt[3])^2))^(1/3)) + (1/4)*(-1 + I*Sqrt[3])^2*(6 + (3/4)*(-1 +
+I*Sqrt[3])*(-1 + I*Sqrt[7]) + (1/2)*(-1 - I*Sqrt[7])*(1 + (3/4)*(-1 +
+I*Sqrt[3])^2))^(1/3)) +(1/3)*((1/2)*(1 + I*Sqrt[7]) - ((-1 +
+I*Sqrt[3])^2*((1/2)*(-1 -I*Sqrt[7]) + (1/2)*(-1 +
+I*Sqrt[7])*((1/2)*(-1 + I*Sqrt[3]) + (1/4)*(-1 + I*Sqrt[3])^2)))/(4*(6
++ (3/4)*(-1 + I*Sqrt[3])*(-1 - I*Sqrt[7]) + (1/2)*(-1 + I*Sqrt[7])*(1
++ (3/4)*(-1 + I*Sqrt[3])^2))^(1/3)) -(1/2)*(-1 + I*Sqrt[3])*(6 +
+(3/4)*(-1 + I*Sqrt[3])*(-1 - I*Sqrt[7]) + (1/2)*(-1 + I*Sqrt[7])*(1 +
+(3/4)*(-1 + I*Sqrt[3])^2))^(1/3))) + (1/2)*((1/3)*((1/2)*(-1 +
+I*Sqrt[7]) + ((-1 + I*Sqrt[3])*((1/2)*(-1 + I*Sqrt[7]) + (1/2)*(-1 -
+I*Sqrt[7])*((1/2)*(-1 + I*Sqrt[3]) + (1/4)*(-1 + I*Sqrt[3])^2)))/(2*(6
++ (3/4)*(-1 + I*Sqrt[3])*(-1 + I*Sqrt[7]) + (1/2)*(-1 - I*Sqrt[7])*(1
++ (3/4)*(-1 + I*Sqrt[3])^2))^(1/3)) +(1/4)*(-1 + I*Sqrt[3])^2*(6 +
+(3/4)*(-1 + I*Sqrt[3])*(-1 + I*Sqrt[7]) + (1/2)*(-1 - I*Sqrt[7])*(1 +
+(3/4)*(-1 + I*Sqrt[3])^2))^(1/3)) + (1/3)*((1/2)*(-1 - I*Sqrt[7])
++((-1 + I*Sqrt[3])^2*((1/2)*(-1 - I*Sqrt[7]) + (1/2)*(-1 +
+I*Sqrt[7])*((1/2)*(-1 + I*Sqrt[3]) + (1/4)*(-1 + I*Sqrt[3])^2)))/(4*(6
++ (3/4)*(-1 + I*Sqrt[3])*(-1 - I*Sqrt[7]) + (1/2)*(-1 + I*Sqrt[7])*(1
++ (3/4)*(-1 + I*Sqrt[3])^2))^(1/3)) +(1/2)*(-1 + I*Sqrt[3])*(6 +
+(3/4)*(-1 + I*Sqrt[3])*(-1 - I*Sqrt[7]) + (1/2)*(-1 + I*Sqrt[7])*(1 +
+(3/4)*(-1 + I*Sqrt[3])^2))^(1/3)))
+          
+
+According to the AXIOM Book
+
+AXIOM Book>  Use radicalSolve if you want your solutions expressed in
+AXIOM Book>  terms of radicals.
+
+However, already for z^7 = 1 this is not so,
+
+-> radicalSolve(z^7=1, z)
+
+   [z= 1]
+
+and the problem exists for 11, 13, 14, 15, 17, 19 etc
+
+-> for i in 1..20 repeat print([i,#radicalSolve(z^i=1,z)])
+
+   [1,1]
+   [2,2]
+   [3,3]
+   [4,4]
+   [5,5]
+   [6,6]
+   [7,1]   <-- not good
+   [8,8]
+   [9,9]
+   [10,10]
+   [11,1]  <-- not good
+   [12,12]
+   [13,1]  <-- not good
+   [14,2]  <-- not good
+   [15,7]  <-- not good
+   [16,16]
+   [17,1]  <-- not good
+   [18,18]
+   [19,1]  <-- not good
+   [20,20]
+
+=========================================================================
 bug 7248: differentiation bug in D(1,z)
 
 (94) -> D(sin(z)^2+cos(z)^2, z)
diff --git a/changelog b/changelog
index cdfd7ae..1b47789 100644
--- a/changelog
+++ b/changelog
@@ -1,5 +1,7 @@
+20140613 tpd src/axiom-website/patches.html 20140613.09.tpd.patch
+20140613 tpd buglist bug 7249: radicalSolve(z^7=1, z)
 20140613 tpd src/axiom-website/patches.html 20140613.08.tpd.patch
-20140613 tpd bug 7248: differentiation bug in D(1,z)
+20140613 tpd buglist bug 7248: differentiation bug in D(1,z)
 20140613 tpd src/axiom-website/patches.html 20140613.07.tpd.patch
 20140613 tpd buglist 7142 exp^log(x) Cannot take first of an empty list update
 20140613 tpd src/axiom-website/patches.html 20140613.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5d7997f..8de5390 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4435,7 +4435,9 @@ buglist 7142 exp^log(x) Cannot take first of an empty list update
 <a href="patches/20140613.07.tpd.patch">20140613.07.tpd.patch</a>
 buglist 7142 exp^log(x) Cannot take first of an empty list update
 <a href="patches/20140613.08.tpd.patch">20140613.08.tpd.patch</a>
-bug 7248: differentiation bug in D(1,z)
+buglist bug 7248: differentiation bug in D(1,z)
+<a href="patches/20140613.09.tpd.patch">20140613.09.tpd.patch</a>
+buglist bug 7249: radicalSolve(z^7=1, z)
  </body>
 </html>
 
